Bug 8755 - "samba-tool fsmo show" fails with uncaught exception error on alpha18
"samba-tool fsmo show" fails with uncaught exception error on alpha18
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
All Linux
: P5 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 09:50 UTC by doofdilla
Modified: 2012-02-17 20:36 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description doofdilla 2012-02-10 09:50:22 UTC
# OS VERSION:
Ubuntu 11.10
Linux samba 3.0.0-12-server #20-Ubuntu SMP Fri Oct 7 16:36:30 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

# SAMBA VERSION: 
4.0.0alpha18-GIT-a056238 ./configure.developer

# BIND VERSION: 
Bind 9.8.1-P1 compiled with gssapi and dlopen

# INSTALLED DEPENDENCIES:
build-essential libattr1-dev libblkid-dev libgnutls-dev libreadline-gplv2-dev python-dev autoconf python-dnspython gdb pkg-config bind9utils libpopt-dev krb5-user

# PROVISIONED WITH:
./source4/setup/provision --realm=contoso.local --domain=CONTOSO --adminpass=iamnotthatdumbtopostithere --server-role='domain controller'

# ERROR:
root@samba:/home/dilla# samba-tool fsmo show
ERROR(<type 'exceptions.AttributeError'>): uncaught exception - 'NoneType' object has no attribute 'get_loadparm'
  File "/usr/local/samba/lib/python2.7/site-packages/samba/netcmd/__init__.py", line 162, in _run
    return self.run(*args, **kwargs)
  File "/usr/local/samba/lib/python2.7/site-packages/samba/netcmd/fsmo.py", line 136, in run
    lp = sambaopts.get_loadparm()

# ADDITIONAL NOTES:
I joined a W2k8R2 Server as an Domain Member (and did repadmin /kcc after the first boot) , Replication works without errors, i can transfer the FSMO Roles via the Windows Server. 

Everything works just fine, wbinfo, smbclient, kinit, id (winbind is added to nsswitch), samba-tool dbcheck,  etc. Also, no Errors in the syslog file, no bind errors.

But when i try to use the samba-tool to show the fsmo roles the above error throws.

This didn't happen with Alpha17. I also tried to compile it non-developer, same error. If you need addition info, logs, etc, please let me know.

Other then the above error, everything seems to work like a charm, good work :)

regards
DoofDilla
Comment 1 doofdilla 2012-02-13 12:47:28 UTC
I just tried a fresh samba (alpha18-GIT-cf155fa) install without joining a w2k8r2 dc and the same error occurs.
Comment 2 doofdilla 2012-02-13 15:22:27 UTC
Just to make sure, i installed a fresh samba (alpha 17) this time on the very same machine (thank god for vm snapshots) and it is working fine. So it has to be releated to alpha 18 somehow.
Comment 3 doofdilla 2012-02-13 16:11:57 UTC
Upon further investigation, i replaced __init__.py, __init__.pyc, fsmo.py and fsmo.pyc on alpha18 with the ones from alpha17 and then it seems to work.
Comment 4 doofdilla 2012-02-13 16:44:28 UTC
Just replacing __init__.py with the one from alpha17 seems to be enough. I'll use this solution as a workaround for now until this bug is fixed.
Comment 5 Matthias Dieter Wallnöfer 2012-02-17 20:36:40 UTC
A patch has been developed and it will land soon in "master" (GIT).